package service;

import dao.DAOFactory;
import dao.TeacherDAO;
import model.Teacher;
import java.util.List;

/**
 * 教师信息服务类
 */
public class TeacherService {
    private final TeacherDAO teacherDAO = DAOFactory.getTeacherDAO();

    /**
     * 教师登录
     * @param teacherId 教师工号
     * @param password 密码
     * @return 登录成功返回教师信息，失败返回null
     */
    public Teacher login(String teacherId, String password) {
        Teacher teacher = teacherDAO.findByTeacherId(teacherId);
        System.out.println("Login attempt - TeacherID: " + teacherId);
        System.out.println("Teacher found: " + (teacher != null));
        if (teacher != null) {
            System.out.println("Stored password: " + teacher.getPassword());
            System.out.println("Input password: " + password);
            System.out.println("Password match: " + password.equals(teacher.getPassword()));
        }
        if (teacher != null && password.equals(teacher.getPassword())) {
            return teacher;
        }
        return null;
    }
}
